Bullet Collision Detection & Physics Library: GIM_CONTACT Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GIM_CONTACT Class Reference

The GIM_CONTACT is an internal GIMPACT structure, similar to btManifoldPoint. More...

`#include <btContactProcessingStructs.h>`

Collaboration diagram for GIM_CONTACT:
[legend]

## Public Member Functions
| GIM_CONTACT ()
| GIM_CONTACT (const GIM_CONTACT &contact)
| GIM_CONTACT (const btVector3 &point, const btVector3 &normal, btScalar depth, int feature1, int feature2)
unsigned int | calc_key_contact () const
| Calcs key for coord classification.
void | interpolate_normals (btVector3 *normals, int normal_count)
| GIM_CONTACT ()
| GIM_CONTACT (const GIM_CONTACT &contact)
| GIM_CONTACT (const btVector3 &point, const btVector3 &normal, GREAL depth, GUINT feature1, GUINT feature2)
GUINT | calc_key_contact () const
| Calcs key for coord classification.
void | interpolate_normals (btVector3 *normals, GUINT normal_count)

## Public Attributes
btVector3 | m_point
btVector3 | m_normal
btScalar | m_depth
btScalar | m_distance
int | m_feature1
int | m_feature2
GREAL | m_depth
GREAL | m_distance
GUINT | m_feature1
GUINT | m_feature2

## Detailed Description

The GIM_CONTACT is an internal GIMPACT structure, similar to btManifoldPoint.

Structure for collision results Functions for managing and sorting contacts resulting from a collision query.

Contact lists must be create by calling GIM_CREATE_CONTACT_LIST After querys, contact lists must be destroy by calling GIM_DYNARRAY_DESTROY Contacts can be merge for avoid duplicate results by calling gim_merge_contacts

Definition at line 40 of file btContactProcessingStructs.h.

## Constructor & Destructor Documentation

## ◆ GIM_CONTACT() [1/6]

GIM_CONTACT::GIM_CONTACT | ( |  | ) |
| inline

Definition at line 50 of file btContactProcessingStructs.h.

## ◆ GIM_CONTACT() [2/6]

GIM_CONTACT::GIM_CONTACT | ( | const GIM_CONTACT & | contact | ) |
| inline

Definition at line 54 of file btContactProcessingStructs.h.

## ◆ GIM_CONTACT() [3/6]

GIM_CONTACT::GIM_CONTACT | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | btScalar | depth,
|  | int | feature1,
|  | int | feature2
| ) |  |
| inline

Definition at line 62 of file btContactProcessingStructs.h.

## ◆ GIM_CONTACT() [4/6]

GIM_CONTACT::GIM_CONTACT | ( |  | ) |
| inline

Definition at line 67 of file gim_contact.h.

## ◆ GIM_CONTACT() [5/6]

GIM_CONTACT::GIM_CONTACT | ( | const GIM_CONTACT & | contact | ) |
| inline

Definition at line 71 of file gim_contact.h.

## ◆ GIM_CONTACT() [6/6]

GIM_CONTACT::GIM_CONTACT | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | GREAL | depth,
|  | GUINT | feature1,
|  | GUINT | feature2
| ) |  |
| inline

Definition at line 84 of file gim_contact.h.

## Member Function Documentation

## ◆ calc_key_contact() [1/2]

unsigned int GIM_CONTACT::calc_key_contact | ( |  | ) | const
| inline

Calcs key for coord classification.

Definition at line 72 of file btContactProcessingStructs.h.

## ◆ calc_key_contact() [2/2]

GUINT GIM_CONTACT::calc_key_contact | ( |  | ) | const
| inline

Calcs key for coord classification.

Definition at line 94 of file gim_contact.h.

## ◆ interpolate_normals() [1/2]

void GIM_CONTACT::interpolate_normals | ( | btVector3 * | normals,
|  | GUINT | normal_count
| ) |  |
| inline

Definition at line 110 of file gim_contact.h.

## ◆ interpolate_normals() [2/2]

void GIM_CONTACT::interpolate_normals | ( | btVector3 * | normals,
|  | int | normal_count
| ) |  |
| inline

Definition at line 88 of file btContactProcessingStructs.h.

## Member Data Documentation

## ◆ m_depth [1/2]

btScalar GIM_CONTACT::m_depth

Definition at line 45 of file btContactProcessingStructs.h.

## ◆ m_depth [2/2]

GREAL GIM_CONTACT::m_depth

Definition at line 62 of file gim_contact.h.

## ◆ m_distance [1/2]

btScalar GIM_CONTACT::m_distance

Definition at line 46 of file btContactProcessingStructs.h.

## ◆ m_distance [2/2]

GREAL GIM_CONTACT::m_distance

Definition at line 63 of file gim_contact.h.

## ◆ m_feature1 [1/2]

int GIM_CONTACT::m_feature1

Definition at line 47 of file btContactProcessingStructs.h.

## ◆ m_feature1 [2/2]

GUINT GIM_CONTACT::m_feature1

Definition at line 64 of file gim_contact.h.

## ◆ m_feature2 [1/2]

int GIM_CONTACT::m_feature2

Definition at line 48 of file btContactProcessingStructs.h.

## ◆ m_feature2 [2/2]

GUINT GIM_CONTACT::m_feature2

Definition at line 65 of file gim_contact.h.

## ◆ m_normal

btVector3 GIM_CONTACT::m_normal

Definition at line 44 of file btContactProcessingStructs.h.

## ◆ m_point

btVector3 GIM_CONTACT::m_point

Definition at line 43 of file btContactProcessingStructs.h.

The documentation for this class was generated from the following files:

- btContactProcessingStructs.h
- gim_contact.h